org.firebirdsql.jna.fbclient

## Class USER_SEC_DATA

- java.lang.Object
- - com.sun.jna.Structure
  - - org.firebirdsql.jna.fbclient.USER_SEC_DATA

Direct Known Subclasses:
  USER_SEC_DATA.ByReference, USER_SEC_DATA.ByValue

    public class USER_SEC_DATA
    extends com.sun.jna.Structure

JNA wrapper for USER_SEC_DATA.

This file was initially autogenerated by JNAerator, a tool written by Olivier Chafik that uses a few opensource projects..

This file was modified manually, do not automatically regenerate!

Since:
  3.0

### Nested Class Summary

Nested Classes
`static class` `USER_SEC_DATA.ByReference`
`static class` `USER_SEC_DATA.ByValue`

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`com.sun.jna.Structure.FieldOrder, com.sun.jna.Structure.StructField`

### Field Summary

Fields
`com.sun.jna.Pointer` `dba_password` the dba password C type : ISC_SCHAR*
`com.sun.jna.Pointer` `dba_user_name` the dba user name C type : ISC_SCHAR*
`com.sun.jna.Pointer` `first_name` the user's first name C type : ISC_SCHAR*
`int` `gid`
`com.sun.jna.Pointer` `group_name` the group name C type : ISC_SCHAR*
`com.sun.jna.Pointer` `last_name` the user's last name C type : ISC_SCHAR*
`com.sun.jna.Pointer` `middle_name` the user's middle name C type : ISC_SCHAR*
`com.sun.jna.Pointer` `password` the user's password C type : ISC_SCHAR*
`int` `protocol`
`short` `sec_flags`
`com.sun.jna.Pointer` `server` server to administer C type : ISC_SCHAR*
`int` `uid`
`com.sun.jna.Pointer` `user_name` the user's name C type : ISC_SCHAR*

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`USER_SEC_DATA()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected java.util.List` `getFieldOrder()`

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### sec_flags

    public short sec_flags

#### uid

    public int uid

#### gid

    public int gid

#### protocol

    public int protocol

#### server

    public com.sun.jna.Pointer server

server to administer
C type : ISC_SCHAR*

#### user_name

    public com.sun.jna.Pointer user_name

the user's name
C type : ISC_SCHAR*

#### password

    public com.sun.jna.Pointer password

the user's password
C type : ISC_SCHAR*

#### group_name

    public com.sun.jna.Pointer group_name

the group name
C type : ISC_SCHAR*

#### first_name

    public com.sun.jna.Pointer first_name

the user's first name
C type : ISC_SCHAR*

#### middle_name

    public com.sun.jna.Pointer middle_name

the user's middle name
C type : ISC_SCHAR*

#### last_name

    public com.sun.jna.Pointer last_name

the user's last name
C type : ISC_SCHAR*

#### dba_user_name

    public com.sun.jna.Pointer dba_user_name

the dba user name
C type : ISC_SCHAR*

#### dba_password

    public com.sun.jna.Pointer dba_password

the dba password
C type : ISC_SCHAR*

### Constructor Detail

#### USER_SEC_DATA

    public USER_SEC_DATA()

### Method Detail

#### getFieldOrder

    protected java.util.List getFieldOrder()

Overrides:
  `getFieldOrder` in class `com.sun.jna.Structure`